Results 1 to 2 of 2

Thread: Can not install AR8161 Ethernet card with compat-wireless package

Threaded View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Join Date
    2013-Apr
    Posts
    2

    Question Can not install AR8161 Ethernet card with compat-wireless package

    Hi,

    Have a problem with my Asus N56VZ laptop. I cannot install the alx driver. It is a clean install of the system, and I updated with apt-get update, upgrade, and dist-upgrade.
    I Had the latest version of backtrack installed and with these drivers had it working.
    I also installed the kernel headers, and this will let me continue a bit more, but now I get the following error:

    root@Kali:~/compat-wireless-2012-07-03-pc# ./scripts/driver-select alx
    Processing new driver-select request...
    Backup exists: Makefile.bk
    Backup exists: Makefile.bk
    Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
    Backup exists: drivers/net/ethernet/atheros/Makefile.bk
    Backup exists: Makefile.bk
    Backup exists: Makefile.bk
    Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
    root@Kali:~/compat-wireless-2012-07-03-pc# make
    ./scripts/gen-compat-autoconf.sh /root/compat-wireless-2012-07-03-pc/.config /root/compat-wireless-2012-07-03-pc/config.mk > include/linux/compat_autoconf.h
    make -C /lib/modules/3.7-trunk-amd64/build M=/root/compat-wireless-2012-07-03-pc modules
    make[1]: Entering directory `/usr/src/linux-headers-3.7-trunk-amd64'
    CC [M] /root/compat-wireless-2012-07-03-pc/compat/main.o
    LD [M] /root/compat-wireless-2012-07-03-pc/compat/compat.o
    CC [M] /root/compat-wireless-2012-07-03-pc/drivers/net/ethernet/atheros/alx/alx_main.o
    /root/compat-wireless-2012-07-03-pc/drivers/net/ethernet/atheros/alx/alx_main.c: In function ‘alx_hw_printk’:
    /root/compat-wireless-2012-07-03-pc/drivers/net/ethernet/atheros/alx/alx_main.c:124:3: error: implicit declaration of function ‘__netdev_printk’ [-Werror=implicit-function-declaration]
    cc1: some warnings being treated as errors
    make[6]: *** [/root/compat-wireless-2012-07-03-pc/drivers/net/ethernet/atheros/alx/alx_main.o] Error 1
    make[5]: *** [/root/compat-wireless-2012-07-03-pc/drivers/net/ethernet/atheros/alx] Error 2
    make[4]: *** [/root/compat-wireless-2012-07-03-pc/drivers/net/ethernet/atheros] Error 2
    make[3]: *** [_module_/root/compat-wireless-2012-07-03-pc] Error 2
    make[2]: *** [sub-make] Error 2
    make[1]: *** [all] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-3.7-trunk-amd64'
    make: *** [modules] Error 2

    Can anyone help me please?

    Thanks in advance
    Last edited by jtweaker; 2013-04-05 at 08:56.

Similar Threads

  1. Replies: 0
    Last Post: 2013-11-15, 21:10
  2. AR8161 Ethernet Card trouble
    By jenkins in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2013-04-11, 22:21

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •